<script setup lang="ts">
import { usePartieStore } from '@/stores/partie'
import { useTagStore } from '@/stores/tag'
import AudioProgress from './AudioProgress.vue'
import ParticipantsCard from './ParticipantsCard.vue'
import { CheckIcon, XMarkIcon } from '@heroicons/vue/24/solid';

const emit = defineEmits<{
  answerOk: []
  answerKo: []
}>()

const tagStore = useTagStore()
const partieStore = usePartieStore()

const onOk = () => {
  emit('answerOk')
}
const onKo = () => {
  emit('answerKo')
}
</script>

<template>
  <AudioProgress />
  <div v-if="partieStore.partie"
    class="flex flex-grow gap-4 ml-4 mr-4 mb-4 flex-col items-center sm:flex-row sm:items-stretch">
    <div v-if="partieStore.currentChansonData" class="flex-grow flex flex-col lg:flex-row">
      <div>
        <div class="mb-4 text-xl">
          {{ 'Manche : ' + partieStore.partie.numeroManche + '/' + partieStore.partie.nombreManches }}
        </div>
        <div>{{ 'Titre : ' + partieStore.currentChansonData.titre }}</div>
        <div>{{ 'Artiste : ' + partieStore.currentChansonData.artiste.nom }}</div>
        <div v-for="vt in partieStore.currentChansonData.valeursTags" :key="vt.tag">
          {{ 'Tag : ' + tagStore.tagsAsMap.get(vt.tag)!!.nom + (vt.valeur ? ' : ' + vt.valeur : '') }}
        </div>
      </div>

      <div v-if="partieStore.buzzerActivated !== null && !partieStore.buzzerActivated"
        class="join lg:flex-grow mt-auto mb-auto self-center">
        <button @click="onOk" class="btn btn-lg join-item">
          <CheckIcon class="w-12 fill-green-500" />
        </button>
        <button @click="onKo" class="btn btn-lg join-item">
          <XMarkIcon class="w-12 fill-red-500" />
        </button>
      </div>
    </div>


    <ParticipantsCard class="flex-shrink" />
  </div>
</template>
